ReferenceAttachmentsAttachmentidDownload
Get presigned download URL
Get presigned download URL - GET /attachments/{attachmentId}/download. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
attachmentId*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/attachments/string/download"{ "downloadUrl": "string", "fileName": "string", "fileSize": 0, "fileType": "string"}Get attachment GET
Get attachment - GET /attachments/{attachmentId}. DocDealer REST API reference.
Upload an attachment via a short-lived token (multipart, no auth header) POST
Upload an attachment via a short-lived token (multipart, no auth header) - POST /attachments/upload/{token}. DocDealer REST API reference.